APIリファレンス
ファイルの削除
ファイルを論理削除し、保存されたコンテンツをクリーンアップのためにスケジュールします。
ファイルを論理削除し、保存されたコンテンツをクリーンアップのためにスケジュールします。
エンドポイント
- ベースURL
https://runapi.ai- API バージョン
v1- 認証
Authorization: Bearer YOUR_API_KEY
02
JSONボディリクエスト
指定されたリクエストの場所にのみ値を送信してください。
パスパラメータフィールド1件
file_idstring
必須
RunAPIのファイルID。
03
HTTP 200成功レスポンス
DELETE /v1/files/:file_id
JSON
{
"deleted": true,
"id": "file_abc123",
"object": "file"
}
04
HTTP 401エラーレスポンス (401)
レスポンススキーマ
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
レスポンス例
JSON
{
"error": {
"code": "authentication_error",
"message": "Missing API key",
"param": null,
"type": "authentication_error"
}
}
05
HTTP 404エラーレスポンス (404)
レスポンススキーマ
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
レスポンス例
JSON
{
"error": {
"code": "not_found",
"message": "File not found",
"param": null,
"type": "invalid_request_error"
}
}
06
HTTP 502エラーレスポンス (502)
レスポンススキーマ
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
レスポンス例
JSON
{
"error": {
"code": "storage_write_failed",
"message": "File storage failed",
"param": null,
"type": "server_error"
}
}
07
cURLの例
CURL
curl -X DELETE https://runapi.ai/v1/files/file_abc123 \
-H 'Authorization: Bearer YOUR_API_KEY'